FrontlineSMS

FrontlineSMS let users send, receive and manage SMS over a mobile network.

Hi,

I cannot for the life of me get FrontlineSMS to install under Linux. When i run the .sh it runs, but it does not install.

I was first trying under OpenSuse and found some forums saying OS related configuration may be an issue. So i switched to Debian and then to Ubuntu, all do the same thing.

How do i get this to install not just run?

Views: 665

Reply to This

Replies to This Discussion

Hi Gareth,

This issue was brought up on our forum sometime ago and one of our users was kind enough to offer some advice. Please see this discussion on Installing FrontlineSMS on Linux Ubuntu. Please also check the discussions on FrontlineSMS on 64 bit Linux and Installing under Ubuntu.

Id suggest that you run a search on our forum for "installing on linux" since there are lots of posts and solutions around this issue. Also, please take a look at our help files on Running FrontlineSMS on Ubuntu 8.10.

I hope the above information is helpful but if you still run into difficulties, please let me know and we'll work it out!

Thanks!

Kavita

Hi Gareth,

Were you able to make any progress?

Kavita

Sorry for not replying. I had to move onto another project, but i am back to this one now.

I am still not having any luck, below is the output from my terminal after running the FontlineSMS.sh.

java version "1.6.0_18"
OpenJDK Runtime Environment (IcedTea6 1.8.13) (6b18-1.8.13-0+squeeze1)
OpenJDK 64-Bit Server VM (build 14.0-b16, mixed mode)
Launching FrontlineSMS.
Please wait...
java.lang.UnsatisfiedLinkError: /home/server/Downloads/FrontlineSMS-distribution-1.6.16.3/librxtxSerial.so: /home/server/Downloads/FrontlineSMS-distribution-1.6.16.3/librxtxSerial.so: wrong ELF class: ELFCLASS32 (Possible cause: architecture word width mismatch) thrown while loading gnu.io.RXTXCommDriver
Error loading win32com: java.lang.UnsatisfiedLinkError: no win32com in java.library.path
Error loading win32com: java.lang.UnsatisfiedLinkError: no win32com in java.library.path

Hi Gareth,

Sorry that you are still stuck on this. Can you tell us what happened when you tried the suggestions from the posts in the email above? Were you able to make any progress at all with those or did you get the same output that you posted in your last email? Did you get the above errors using Ubuntu or was it Debian or OpenSUse? Can you also tell me the version of the OS you are using?

This further information will be really helpful.  I can check in with our developers to see if they are able to help further here.

Thanks!

Kavita

Hi Kavita

I tried the solutions that you posted and i still had the same problem.

I am using Debian Squeeze.

I did notice that i appear to be using openjdk rather than sun-java. I did try removing openjdk and putting on sun-java but when i do that frontline does not start at all. With openjdk it starts and runs fine, but does not install.

Hi Gareth,

Thanks for following up with further information here. We will have to check in with our developers and see if they have any further suggestions on this. If you haven't done so already would you please be able to submit your logs to FrontlineSMS (via Help > Submit error report option in FrontlineSMS)? This could help identify the issue here.

Thanks

Flo

RSS

© 2014   Created by FrontlineSMS Admin.   Powered by

Badges  |  Report an Issue  |  Terms of Service